View Issue Details

This bug affects 1 person(s).
 10
IDProjectCategoryView StatusLast Update
17777Bug reportsStatisticspublic2022-01-05 09:34
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version5.2.x 
Fixed in Version5.2.x 
Summary17777: PGSQL CDbCommand issue ins statistics
DescriptionWhen try to get statistics with pgsql : receive a SQL issue
Steps To ReproduceSteps to reproduce
------------------------------
Import LS1
Go to stat

Expected result
-------------------------
get the stats

Actual result
-----------------
500: Internal Server Error
CDbCommand failed to execute the SQL statement: SQLSTATE[42601]: Syntax error: 7 ERREUR: erreur de syntaxe sur ou près de « group »
LINE 1: ... ((parent_qid = 0) AND (t.sid='621395')) ORDER BY group.grou...

TagsNo tags attached.
Bug heat10
Complete LimeSurvey version number (& build) 5.2.4
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionPSSQL 13.5
Server OS (if known)debian
Webserver software & version (if known)nginx
PHP Version7.4

Relationships

has duplicate 17780 closedDenisChenu Statistics fail with an internal error 
child of 17647 closedDenisChenu Strange sort order of question groups in simple statistics 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2021-12-05 19:01

developer  

DenisChenu

DenisChenu

2021-12-05 19:14

developer   ~67681

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33024
LimeBot

LimeBot

2022-01-05 09:34

administrator   ~67908

Fixed in Release 5.2.5+211207

Related Changesets

LimeSurvey: master 32b66a11

2021-12-05 19:14:26

DenisChenu

Details Diff
Fixed issue 17777: PGSQL CDbCommand issue ins statistics
Dev: remove uneeded table name
Affected Issues
17777
mod - application/models/Question.php Diff File

Issue History

Date Modified Username Field Change
2021-12-05 19:01 DenisChenu New Issue
2021-12-05 19:01 DenisChenu File Added: survey_archive_621395.lsa
2021-12-05 19:01 DenisChenu Assigned To => DenisChenu
2021-12-05 19:01 DenisChenu Status new => assigned
2021-12-05 19:01 DenisChenu Relationship added child of 17647
2021-12-05 19:10 DenisChenu Summary CDbCommand issue ins sttaitistics => PGSQL CDbCommand issue ins statistics
2021-12-05 19:14 DenisChenu Changeset attached => LimeSurvey master 32b66a11
2021-12-05 19:14 DenisChenu Note Added: 67681
2021-12-05 19:14 DenisChenu Bug heat 0 => 2
2021-12-05 19:14 DenisChenu Resolution open => fixed
2021-12-05 19:14 DenisChenu Status assigned => resolved
2021-12-05 19:14 DenisChenu Fixed in Version => 5.2.x
2021-12-07 08:10 DenisChenu Relationship added has duplicate 17780
2021-12-07 08:10 DenisChenu Bug heat 2 => 8
2021-12-07 08:10 DenisChenu Severity minor => partial_block
2022-01-05 09:34 LimeBot Note Added: 67908
2022-01-05 09:34 LimeBot Status resolved => closed
2022-01-05 09:34 LimeBot Bug heat 8 => 10